diff --git a/python/plugins/CMakeLists.txt b/python/plugins/CMakeLists.txt
index 26f24b4..331b197 100644
--- a/python/plugins/CMakeLists.txt
+++ b/python/plugins/CMakeLists.txt
@@ -14,25 +14,6 @@
 
 ADD_CUSTOM_TARGET(staged-plugins)
 
-ADD_CUSTOM_TARGET(staged-plugins-pyc DEPENDS staged-plugins
-  COMMAND ${PYTHON_EXECUTABLE} -m compileall -q "${PYTHON_OUTPUT_DIRECTORY}/plugins"
-  WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
-  COMMENT "Byte-compiling staged Python plugins..."
-)
-
-# plugins can also be staged with CMake option at build time
-IF(WITH_STAGED_PLUGINS)
-  IF(WITH_PY_COMPILE)
-    ADD_CUSTOM_TARGET(staged-plugins-on-build ALL DEPENDS staged-plugins-pyc)
-  ELSE(WITH_PY_COMPILE)
-    ADD_CUSTOM_TARGET(staged-plugins-on-build ALL DEPENDS staged-plugins)
-  ENDIF(WITH_PY_COMPILE)
-ENDIF(WITH_STAGED_PLUGINS)
-
-ADD_CUSTOM_TARGET(clean-staged-plugins
-  COMMAND ${CMAKE_COMMAND} -E remove_directory ${PYTHON_OUTPUT_DIRECTORY}/plugins
-)
-
 MACRO (PLUGIN_INSTALL plugin subdir )
 
   # regular project build's install command and target
@@ -79,3 +60,23 @@ ADD_SUBDIRECTORY(fTools)
 ADD_SUBDIRECTORY(GdalTools)
 ADD_SUBDIRECTORY(db_manager)
 ADD_SUBDIRECTORY(sextante)
+
+
+ADD_CUSTOM_TARGET(staged-plugins-pyc DEPENDS staged-plugins
+  COMMAND ${PYTHON_EXECUTABLE} -m compileall -q "${PYTHON_OUTPUT_DIRECTORY}/plugins"
+  WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
+  COMMENT "Byte-compiling staged Python plugins..."
+)
+
+# plugins can also be staged with CMake option at build time
+IF(WITH_STAGED_PLUGINS)
+  IF(WITH_PY_COMPILE)
+    ADD_CUSTOM_TARGET(staged-plugins-on-build ALL DEPENDS staged-plugins-pyc)
+  ELSE(WITH_PY_COMPILE)
+    ADD_CUSTOM_TARGET(staged-plugins-on-build ALL DEPENDS staged-plugins)
+  ENDIF(WITH_PY_COMPILE)
+ENDIF(WITH_STAGED_PLUGINS)
+
+ADD_CUSTOM_TARGET(clean-staged-plugins
+  COMMAND ${CMAKE_COMMAND} -E remove_directory ${PYTHON_OUTPUT_DIRECTORY}/plugins
+)
